Đến nội dung


Hình ảnh
- - - - -

Cho em hỏi có lisp nào vẽ loxo 3d không ???


  • Please log in to reply
11 replies to this topic

#1 vanhien

vanhien

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 22 February 2008 - 04:38 PM

Cám ơn các anh đã giúp đỡ em trong thời gian qua !
Em có người bạn, anh ấy muốn vẽ loxo 3d mà dùng cad 2000. Anh nào có thể vẽ được, hay có đoạn lisp nào cho phép vẽ thì giúp em.
Em xin cảm ơn !
  • 1

#2 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 22 February 2008 - 08:50 PM

Cám ơn các anh đã giúp đỡ em trong thời gian qua !
Em có người bạn, anh ấy muốn vẽ loxo 3d mà dùng cad 2000. Anh nào có thể vẽ được, hay có đoạn lisp nào cho phép vẽ thì giúp em.
Em xin cảm ơn !

bạn có thể upload 1 file dwg có mặt bằng, mặt đứng 2D của lò xo bạn muốn vẽ được không? Để người viết lisp có thể hình dung được điều bạn muốn.

Bởi qua file DWG đó mới rõ được phân chia đoạn cong thành bao nhiêu đoạn thẳng, lò xo chỉ vẽ 3D Poly tim lò xo hay vẽ cả biên lò xo,...
  • 1

#3 KE AN MAY DI VANG

KE AN MAY DI VANG

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 822 Bài viết
Điểm đánh giá: 572 (tốt)

Đã gửi 22 February 2008 - 10:14 PM

1

Cám ơn các anh đã giúp đỡ em trong thời gian qua !
Em có người bạn, anh ấy muốn vẽ loxo 3d mà dùng cad 2000. Anh nào có thể vẽ được, hay có đoạn lisp nào cho phép vẽ thì giúp em.
Em xin cảm ơn !


Hình đã gửi

Hình trên là dạng lò xo đường thân khai với số điểm chia tương đối nhiều và xoắn theo hình nón (với lò xo hình trụ việc vẽ sẽ đơn giản hơn). Trước kia, tôi đã vẽ trên Auto Cad 2000 khi máy có Ram= 128 Mb, nói chung là vẽ khá mất thời gian. Để nghĩ ra cách vẽ mất khoảng 3 giờ. Khi đã biết cách vẽ rồi thì nhanh cũng phải mất một tiết học 45 phút. Bây giờ máy của tôi Ram= 2 Gb chắc vẽ nhanh hơn)

Hiện trên thanh công cụ của Auto Cad 2007 Modeling có lệnh Helix vẽ lò xo. Tôi chưa dùng lệnh thử lệnh này vì chưa có nhu cầu vẽ. Bạn thử vẽ lò xo bằng lệnh này xem sao? Chắc là sẽ nhanh hơn rất nhiều cách vẽ thủ công mà tôi đã lọ mọ vẽ từ Auto Cad 2000. Khi đã vẽ được bạn hãy nói cho mọi người biết với nhé. (Bận nhiều việc quá nên tôi cũng chưa thử vẽ theo lệnh này.

Mà tại sao lại cứ phải vẽ trên Auto Cad 2000, khi sắp có Auto Cad 2009 roài nhỉ? Sao các bạn lại lạc hậu thế không biết?Tôi khuyên bạn và anh bạn của bạn là : Hãy vẽ trên Auto Cad 2007 ngay ngày mai đi. Còn trường hợp bất khả kháng mà muốn vẽ lò xo trên Auto Cad 2000, tôi sẽ hướng dẫn để bạn có thể vẽ được một cách dễ dàng. Riêng về lisp thì bạn phải cung cấp thông tin về file bản vẽ, bạn Nguyen Hoanh đã nhiệt tình giúp rồi đấy!

Đây là file bản vẽ của hình ảnh trên:
<a href="http://www.cadviet.com/upfiles/May_33.rar" target="_blank">http://www.cadviet.com/upfiles/May_33.rar</a>

Bạn có thể tham khảo thêm bài viết :
<a href="http://www.cadviet.com/forum/CAD-3D-t321.html" target="_blank">http://www.cadviet.com/forum/CAD-3D-t321.html</a>
  • 0
KẺ ĂN MÀY DĨ VÃNG

#4 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1087 (rất tốt)

Đã gửi 23 February 2008 - 07:36 AM

Cám ơn các anh đã giúp đỡ em trong thời gian qua !
Em có người bạn, anh ấy muốn vẽ loxo 3d mà dùng cad 2000. Anh nào có thể vẽ được, hay có đoạn lisp nào cho phép vẽ thì giúp em.
Em xin cảm ơn !

Chương trình vẽ lò xo 3D xoắn trụ, tiết diện dây tròn. Tên lệnh: S3D (Spring 3D)
Đặc điểm:
- Vẽ gần đúng trên cơ sở đường tâm là 3Dpolyline, gồm nhiều đoạn thẳng nối tiếp nhau
- Biên dạng càng chính xác nếu số khoảng chia / 1 vòng càng lớn. Khi đó, chương trình chạy lâu hơn và bản vẽ cũng nặng hơn. Mặc định của chương trình là số khoảng chia = 36 khoảng/vòng (tương đương 10 độ)


;;;-------------------------------------------------------------------
(Defun DTR(x) (/ (* x pi) 180) )
;;;-------------------------------------------------------------------
(Defun RTD(x) (/ (* x 180) pi) )
;;;-------------------------------------------------------------------
(defun C:S3D ( / de d1 d px n n0 k p00 p01 ag i oldos e1 e2) ;;;Spring 3D
(setq
de (getreal "\nOutside diameter: ")
d1 (getreal "\nWire diameter: ")
d (- de d1)
px (getreal "\nSpring pitch: ")
n (getint "\nNumber of turns: ")
)
(setq n0 (getint "\nNumber of segments per turn <36>:"))
(if (not n0) (setq n0 36))
(setq
k (* n0 n)
p00 (getpoint "\nBase point: ")
p01 (polar p00 0 (/ d 2))
ag (rtd (atan (/ (* pi d) px)))
i 0
oldos (getvar "OSMODE")
)
(setvar "OSMODE" 0)
(command ".3dpoly")
(while (<= i k)
(setq
p0 (polar p00 (dtr (* i (/ 360 n0))) (/ d 2))
p1 (list (nth 0 p0) (nth 1 p0) (+ (nth 2 p0) (* i (/ px n0))))
i (+ i 1)
)
(command p1)
)
(command "")
(setq e1 (entlast))
(command "circle" p01 (/ d1 2))
(setq e2 (entlast))
(if (not rotate3d) (arxload "geom3d"))
(command "rotate3d" e2 "" p00 p01 ag)
(command "extrude" e2 "" "P" e1)
(command "view" "SWISO")
(command "erase" e1 "")
(setvar "OSMODE" oldos)
(princ)
)
;;;-------------------------------------------------------------------


  • 2

#5 vanhien

vanhien

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 23 February 2008 - 02:05 PM

1

Hình đã gửi

Hình trên là dạng lò xo đường thân khai với số điểm chia tương đối nhiều và xoắn theo hình nón (với lò xo hình trụ việc vẽ sẽ đơn giản hơn). Trước kia, tôi đã vẽ trên Auto Cad 2000 khi máy có Ram= 128 Mb, nói chung là vẽ khá mất thời gian. Để nghĩ ra cách vẽ mất khoảng 3 giờ. Khi đã biết cách vẽ rồi thì nhanh cũng phải mất một tiết học 45 phút. Bây giờ máy của tôi Ram= 2 Gb chắc vẽ nhanh hơn)

Hiện trên thanh công cụ của Auto Cad 2007 Modeling có lệnh Helix vẽ lò xo. Tôi chưa dùng lệnh thử lệnh này vì chưa có nhu cầu vẽ. Bạn thử vẽ lò xo bằng lệnh này xem sao? Chắc là sẽ nhanh hơn rất nhiều cách vẽ thủ công mà tôi đã lọ mọ vẽ từ Auto Cad 2000. Khi đã vẽ được bạn hãy nói cho mọi người biết với nhé. (Bận nhiều việc quá nên tôi cũng chưa thử vẽ theo lệnh này.

Mà tại sao lại cứ phải vẽ trên Auto Cad 2000, khi sắp có Auto Cad 2009 roài nhỉ? Sao các bạn lại lạc hậu thế không biết?Tôi khuyên bạn và anh bạn của bạn là : Hãy vẽ trên Auto Cad 2007 ngay ngày mai đi. Còn trường hợp bất khả kháng mà muốn vẽ lò xo trên Auto Cad 2000, tôi sẽ hướng dẫn để bạn có thể vẽ được một cách dễ dàng. Riêng về lisp thì bạn phải cung cấp thông tin về file bản vẽ, bạn Nguyen Hoanh đã nhiệt tình giúp rồi đấy!

Đây là file bản vẽ của hình ảnh trên:
<a href="http://www.cadviet.com/upfiles/May_33.rar" target="_blank">http://www.cadviet.com/upfiles/May_33.rar</a>

Bạn có thể tham khảo thêm bài viết :
<a href="http://www.cadviet.com/forum/CAD-3D-t321.html" target="_blank">http://www.cadviet.com/forum/CAD-3D-t321.html</a>

Vâng em cũng biết vậy anh à !
Hiện em dùng cad208 có modun mech Q rồi, vả lại nếu để vẽ lõ xo 3d thì em dùng solidwork cũng dc, nhưng cái này để phục vụ giảng dạy, mà máy ở trường thì anh biết đấy chạy được cad2000 còn khó nói chi các phiên bản mới ạ.
- Còn mục đích vẽ lò xo này chỉ để giảng dạy thôi, do vậy tiết diện chỉ cần tròn là được rồi, nếu có thể thì các anh có thể giúp em các loại sau: loxo trụ (như của anh ssg), lò xo côn, và loxo spiral.
Em cảm ơn !
  • 1

#6 KE AN MAY DI VANG

KE AN MAY DI VANG

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 822 Bài viết
Điểm đánh giá: 572 (tốt)

Đã gửi 23 February 2008 - 04:05 PM

- Còn mục đích vẽ lò xo này chỉ để giảng dạy thôi, do vậy tiết diện chỉ cần tròn là được rồi, nếu có thể thì các anh có thể giúp em các loại sau: loxo trụ (như của anh ssg), lò xo côn, và loxo spiral.
Em cảm ơn !

Tôi đồng ý với bạn là giảng dạy cho học sinh thì phải dạy nguồn gốc sâu xa của vấn đề để học sinh có thể hiểu rõ đầu cua tai cá...Dạy hs là gợi mở cho hs biết đường đi lối lại để họ có thể tìm được lối đi mới cho riêng mình chứ không phải là dìu dắt họ đi theo con đường mòn...Người ta nói không thầy đố mày làm nên là đúng; nhưng có những cái mà thầy không thể làm được nhưng trò lại làm được. Đó là qui luật của cuộc sống... Và người thầy có quyền tự hào về điều đó...

Hình đã gửi

Ảnh trên là hình lò xo tôi vẽ thủ công trên Auto Cad 2007, rồi chyển sang Auto Cad 2004 cho dễ nhìn vì giao diện của Auto Cad 2004 đẹp hơn, rất tiện lợi khi đi in.

Cách vẽ thủ công các loại lò xo trên Auto Cad 2000 (Thời gian vẽ không quá 10 phút)
Để vẽ lò xo trụ giả sử bạn vẽ lò xo Dngoài = 100; đường kính dây lò xo: Do= 7; bước lò xo: t = 20
từ các thông số trên bạn sẽ xác định được góc xoắn của lò xo là 6,1 độ.( Hướng xoắ phải hoặc trái tuỳ ý). Trường hợp tôi đang nói ở đây là hướng xoắn phải, tiến hành vẽ theo các bước sau:
1- Trong khung nhìn: 3DViews > Top view, bạn vẽ hai nửa hình 3D vòng xuyến có đường kính Dn, Dt và Do trục tâm của nó // với mặt phẳng X0Y trong không gian.
2-Trong khung nhìn: 3D Views > Front view
- Rotate nửa vòng mùa xanh đi một góc +6,1%%D(gốc xoay ở bên trái).
- Rotate nửa vòng mùa xanh đi một góc -6,1%%D(gốc xoay ở bên phải)
3 -Move dính hai mảnh với nhau, rồi Copi hoặc Array với khoảng cách giữa hai hàng là 20.
4- Union các mảnh ghép thành 1 khối
5- 3DViews > Top view: Rotate 3D góc 80%%D. (Góc xoay tùy chọn sao cho dễ nhìn).

Dưới đây là File bản vẽ:
<a href="http://www.cadviet.com/upfiles/L_xo.rar" target="_blank">http://www.cadviet.com/upfiles/L_xo.rar</a>
  • 4
KẺ ĂN MÀY DĨ VÃNG

#7 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1087 (rất tốt)

Đã gửi 25 February 2008 - 08:17 AM

Vâng em cũng biết vậy anh à !
Hiện em dùng cad208 có modun mech Q rồi, vả lại nếu để vẽ lõ xo 3d thì em dùng solidwork cũng dc, nhưng cái này để phục vụ giảng dạy, mà máy ở trường thì anh biết đấy chạy được cad2000 còn khó nói chi các phiên bản mới ạ.
- Còn mục đích vẽ lò xo này chỉ để giảng dạy thôi, do vậy tiết diện chỉ cần tròn là được rồi, nếu có thể thì các anh có thể giúp em các loại sau: loxo trụ (như của anh ssg), lò xo côn, và loxo spiral.
Em cảm ơn !

Chương trình hoàn chỉnh vẽ 3 loại lò xo theo ý bạn. Có các lệnh:
1) HSP: helix spring - lò xo xoắn trụ
2) SSP: spiral spring - lò xo xoắn phẳng
3) CSP: conical spring - lò xo conic

;;;-------------------------------------------------------------------
(defun DTR(x) (/ (* x pi) 180) )
;;;-------------------------------------------------------------------
(defun RTD(x) (/ (* x 180) pi) )
;;;-------------------------------------------------------------------
(defun FlatSp (p0 r0 pit n ns / da dr i a r p1)
(setq
da (/ (* 2 pi) ns)
dr (/ pit ns)
i 0
)
(command "pline")
(while (<= i (* n ns))
(setq
a (* i da)
r (+ r0 (* i dr))
p1 (polar p0 a r)
i (1+ i)
)
(command p1)
)
(command "")
)
;;;-------------------------------------------------------------------
(defun CylSp (p0 r pit n ns / da dh i a h p1 p2)
(setq
da (/ (* 2 pi) ns)
dh (/ pit ns)
i 0
)
(command "3dpoly")
(while (<= i (* n ns))
(setq
a (* i da)
h (* i dh)
p1 (polar p0 a r)
p2 (list (car p1) (cadr p1) (+ (caddr p1) h))
i (1+ i)
)
(command p2)
)
(command "")
)
;;;-------------------------------------------------------------------
(defun ConeSp (p0 r0 pit1 pit2 n ns / da dr dh i a h r p1 p2)
(setq
da (/ (* 2 pi) ns)
dr (/ pit1 ns)
dh (/ pit2 ns)
i 0
)
(command "3dpoly")
(while (<= i (* n ns))
(setq
a (* i da)
h (* i dh)
r (+ r0 (* i dr))
p1 (polar p0 a r)
p2 (list (car p1) (cadr p1) (+ (caddr p1) h))
i (1+ i)
)
(command p2)
)
(command "")
)
;;;-------------------------------------------------------------------
(defun GetSegment()
(if (not ns0) (setq ns0 36))
(setq ns (getint (strcat "\nNumber of segments per turn <" (itoa ns0) ">:")))
(if (not ns) (setq ns ns0) (setq ns0 ns))
)
;;;-------------------------------------------------------------------
(defun MakeSpring()
(setq e1 (entlast))
(command "circle" p1 (/ d1 2))
(setq e2 (entlast))
(if (not rotate3d) (arxload "geom3d"))
(command "rotate3d" e2 "" p0 p1 ag)
(command "extrude" e2 "" "P" e1)
(command "view" "SWISO")
(setvar "OSMODE" oldos)
(princ)
)
;;;*********************************************************
(defun C:HSP ( / de d1 d pit n ns p0 p1 ag oldos e1 e2) ;;;Helix SPring
(setq
de (getreal "\nOutside diameter: ")
d1 (getreal "\nWire diameter: ")
d (- de d1)
pit (getreal "\nPitch: ")
n (getint "\nNumber of turns: ")
)
(GetSegment)
(setq
p0 (getpoint "\nBase point: ")
p1 (polar p0 0 (/ d 2))
ag (rtd (atan (/ (* pi d) pit)))
oldos (getvar "OSMODE")
)
(setvar "OSMODE" 0)
(CylSp p0 (/ d 2) pit n ns)
(MakeSpring)
)
;;;*********************************************************
(defun C:SSP( / r0 d1 pit n ns p0 p1 oldos e1 e2) ;;;Spiral SPring
(setq
r0 (getreal "\nBase radius: ")
d1 (getreal "\nWire diameter: ")
pit (getreal "\nPitch: ")
n (getint "\nNumber of turns: ")
)
(GetSegment)
(setq
p0 (getpoint "\nBase point: ")
p1 (polar p0 0 r0)
ag 90
oldos (getvar "OSMODE")
)
(setvar "OSMODE" 0)
(FlatSp p0 r0 pit n ns)
(MakeSpring)
)
;;;*********************************************************
(defun C:CSP ( / r0 d1 pit1 pit2 n ns p0 p1 oldos e1 e2) ;;;Conical SPring
(setq
r0 (getreal "\nBase radius: ")
d1 (getreal "\nWire diameter: ")
pit1 (getreal "\nSpiral pitch: ")
pit2 (getreal "\nHelix pitch: ")
n (getint "\nNumber of turns: ")
)
(GetSegment)
(setq
p0 (getpoint "\nBase point: ")
p1 (polar p0 0 r0)
ag 90
oldos (getvar "OSMODE")
)
(setvar "OSMODE" 0)
(ConeSp p0 r0 pit1 pit2 n ns)
(MakeSpring)
)
;;;*********************************************************


@ksgia: Có vẻ bác hơi cực đoan? Tiếp cận, tìm hiểu cái mới là điều đáng khuyến khích nhưng có phải lúc nào việc dùng phần mềm mới nhất cũng là sự lựa chọn tốt nhất? Anh bạn vanhien đã bảo là máy ở trường chạy Cad2000 còn ì ạch, làm sao chơi được với các thằng 2007, 2008? Theo ssg, tuỳ theo hoàn cảnh và điều kiện cụ thể, thậm chí nếu điều kiến không cho phép (máy yếu, vấn đề bản quyền nghiêm ngặt hơn, không có tiền mua phần mềm mạnh v.v...) thì dùng Cad R13, R14 vẫn tốt chán!
Bản thân ssg vẫn thường xuyên dùng Cad2002 trong công việc hàng ngày. Có mấy lý do cơ bản:
- Chỗ ssg làm việc theo nhóm nối mạng LAN, trong đó có nhiều máy rất yếu, chạy Cad2002 là đã quá sức rồi. Trong khi đó, nhu cầu trao đổi dữ liệu *.dwg lẫn nhau giữa các thành viên trong nhóm rất thường xuyên. Cho dù Cad đới sau luôn luôn có tính năng saveas theo đời trước nhưng dùng Cad với nhiều phiên bản khác nhau rất bất tiện, mất thời gian, dễ nhầm lẫn... cho nên phải thống nhất version chung là 2002. Máy ssg có cài Cad2007 nhưng vẫn phải theo "mặt bằng" chung, mình thỉnh thoảng dùng Cad2007 chỉ để nghiên cứu thôi.
- Có một số phần mềm và tiện ích nhỏ, hỗ trợ thiết kế chuyên ngành rất hiệu quả (tương tự như chương trình khai triển hình gò SolidShape) nhưng chúng chỉ tương thích được đến đời Cad2002.
- Nói cho cùng, AutoCAD cũng chỉ là phần mềm hỗ trợ vẽ, là phương tiện thể hiện ý đồ của người thiết kế. Ngoại trừ một vài tính năng chỉ Cad2007, 2008 mới có, với sự hỗ trợ của các tiện ích lisp, ssg thấy làm việc với mọi version của Cad đều hiệu quả như nhau. Ví dụ, dùng lisp có thể vẽ được cả 3 dạng lò xo như trên với thời gian thao tác cho mỗi loại không quá 20 giây, bất kể đời Cad nào! Bác không tin cứ dùng thử 1 lần thì biết. Nếu bác thấy thích, ssg sẽ làm luôn phần giao diện thật bắt mắt (như một trình ứng dụng chuyên nghiệp) để tặng bác?
- Không riêng gì Cad, với các phần mềm khác cũng vậy: vấn đề không phải ở chỗ bạn dùng phần mềm nào mà là bạn dùng phần mềm như thế nào!
  • 4

#8 vanhien

vanhien

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 25 February 2008 - 10:44 AM

Vậy là ok rồi, cám ơn anh ssg đã giúp đỡ nhiệt tình !
  • 1

#9 KE AN MAY DI VANG

KE AN MAY DI VANG

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 822 Bài viết
Điểm đánh giá: 572 (tốt)

Đã gửi 27 February 2008 - 12:58 PM

@ksgia: Có vẻ bác hơi cực đoan? Tiếp cận, tìm hiểu cái mới là điều đáng khuyến khích nhưng có phải lúc nào việc dùng phần mềm mới nhất cũng là sự lựa chọn tốt nhất? Nếu bác thấy thích, ssg sẽ làm luôn phần giao diện thật bắt mắt (như một trình ứng dụng chuyên nghiệp) để tặng bác?
- Không riêng gì Cad, với các phần mềm khác cũng vậy: vấn đề không phải ở chỗ bạn dùng phần mềm nào mà là bạn dùng phần mềm như thế nào!

K đã nhận được 2 @ từ bác ssg.
K hoàn toàn nhất trí với quan điểm mà bác đã lý giải ở phần trên.
-Vẽ lò xo thì k không dùng nhiều, nên cũng không có nhu cầu về phần giao diện.
K xin hỏi là bác có thể chuyển được chương trình khai triển hình gò SolidShape thành líp để dùng chung cho các loại Auto Cad được không? Ở công ty K đang dùng Auto Cad 2007.
Cảm ơn nhiều những người thân yêu nhất của bác đang là hậu phương vững chắc, cơm dẻo canh ngọt để bác có được một sức khoẻ dồi dào; trước hết là phục vụ gia đình sau đó là tranh thủ "Post bài qua đoạn đèo Ngang rầm rầm".
  • 0
KẺ ĂN MÀY DĨ VÃNG

#10 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1087 (rất tốt)

Đã gửi 27 February 2008 - 01:22 PM

K đã nhận được 2 @ từ bác ssg. Vẽ lò xo thì k không dùng nhiều, nên cũng không có nhu cầu về phần giao diện.
K xin hỏi là bác có thể chuyển được chương trình khai triển hình gò SolidShape thành líp để dùng chung cho các loại Auto Cad được không? Ở công ty K đang dùng Auto Cad 2007.
Cảm ơn nhiều những người thân yêu nhất của bác đang là hậu phương vững chắc, cơm dẻo canh ngọt để bác có được một sức khoẻ rồi dào; trước hết là phục vụ gia đình sau đó là tranh thủ "Post bài qua đoạn đèo Ngang rầm rầm".

SolidShape là một trình ứng dụng hoàn chỉnh, do một hãng phần mềm làm ra. Lisp không thể can thiệp gì được!
Về nguyên tắc, ta có thể tự lập một chương trình khai triển hình gò tương tự như SolidShape bằng Lisp. Tuy nhiên, có những lý do rất chính đáng để không làm việc ấy:
1) Công sức phải bỏ ra để làm một ứng dụng tương đương như vậy rất nhiều.
2) Người ta đã làm sẵn rồi, giao diện thân thiện, sử dụng hiệu quả, hầu như không thiếu dạng nào trong thực tế sản xuất cơ khí -> ta chỉ việc dùng thôi. Trước đây ssg cũng đã làm vài đoạn lisp cho mục đích này (hình nón, nón cụt, chóp cụt đều và co nối ống), nhưng từ khi biết trình SolidShape thì đã thôi, không phát triển tiếp nữa.
3) Bác đang dùng Cad2007 thì cứ việc dùng, chỉ cần cài thêm Cad2000 hoặc 2002 (trên máy ssg vẫn đang cài 2 bản Cad, chẳng ảnh hưởng gì cả). Bác mở Cad2000 hoặc 2002 để chạy SolidShape và export kết quả sang. Có kết quả rồi thì lưu lại, dùng Cad2007 mở và xử lý tiếp.
  • 1

#11 ktsk80

ktsk80

    biết lệnh erase

  • Members
  • PipPipPip
  • 107 Bài viết
Điểm đánh giá: 27 (tàm tạm)

Đã gửi 04 April 2009 - 11:06 AM

- Nói cho cùng, AutoCAD cũng chỉ là phần mềm hỗ trợ vẽ, là phương tiện thể hiện ý đồ của người thiết kế. Ngoại trừ một vài tính năng chỉ Cad2007, 2008 mới có, với sự hỗ trợ của các tiện ích lisp, ssg thấy làm việc với mọi version của Cad đều hiệu quả như nhau. Ví dụ, dùng lisp có thể vẽ được cả 3 dạng lò xo như trên với thời gian thao tác cho mỗi loại không quá 20 giây, bất kể đời Cad nào! Bác không tin cứ dùng thử 1 lần thì biết. Nếu bác thấy thích, ssg sẽ làm luôn phần giao diện thật bắt mắt (như một trình ứng dụng chuyên nghiệp) để tặng bác?
- Không riêng gì Cad, với các phần mềm khác cũng vậy: vấn đề không phải ở chỗ bạn dùng phần mềm nào mà là bạn dùng phần mềm như thế nào!
[/quote]
Thật tuyệt vời, tôi rất khoái ý này của bạn
  • 0
Tớ nẫu đây ! Khà khà

#12 yopopovp

yopopovp

    biết zoom

  • Members
  • Pip
  • 15 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 04 April 2009 - 02:18 PM

Em xin hỏi một câu hỏi có lẽ hơi vô duyên ạ,xong tất cả có lẽ do nhu cầu sử dụng của em từ trc tới này thôi ạ.
-4r Cadviet thấy rất nhiều lão làng sử dụng rất tốt. lisp cái này em tiếp cận ít lắm trc đây có viết đc một vài code nhỏ như thể hiện cặp ăn khớp trục vít bánh vít làm đề tài nghiên cứu khoa học( em đang là sinh viên năm cuối thôi ạ).Xong bây giờ như em thấy các phần mềm 3D bây giờ có độ tương thích với nhau rất tốt chúng có thể đọc và xuất sang 2d khá thuận tiện, và mô phỏng thì thấy khá đẹp và chuyên nghiệp em có băn khoăn là tại sao các anh lại phải châm cứu những đoạn lisp này trong khi các phần mềm mới hiện nay có thể giải quyết chúng dễ dàng./. Một câu hỏi hơi thừa nếu có gì mạo phạm kính mong các anh bỏ qua.

P/S: em xin bổ xung thêm ý bác

vấn đề không phải ở chỗ bạn dùng phần mềm nào mà là bạn dùng phần mềm như thế nào!

Sử dụng và cách sử dụng thì do quá trình làm việc + sự bền bỉ nghiên cứu về nó thì có thể kô là siêu việt nhưng nắm đc và sử dụng nó chắc không quá khó khăn, quan trọng là tư duy nghề nghiệp phải không anh??:">
  • 0